4.0.0 - 2014-03-25 - Chris Wiegman
	Initial Release
4.0.1 - 2014-03-25 - Packaging Bot (modules/free)
	Initial Release
4.0.2 - 2014-03-25 - Packaging Bot (core)
	Initial Release
4.0.3 - 2014-03-26 - Packaging Bot (lib/icon-fonts)
	Fixed issue with admin menu icons not functioning properly on sites that have an ABSPATH or WP_CONTENT_DIR of "/".
4.0.4 - 2014-03-27 - Packaging Bot (core)
	Initial Release
4.0.5 - 2014-03-27 - Packaging Bot (modules/free)
	Initial Release
4.0.6 - 2014-04-01 - Packaging Bot (core)
	Fixed history.txt (for iThemes customers)
	Moved upgrade to separate function for more seamless update
	Upgrade system rewritten for better functionality
	Make sure 404 doesn't fail if there is not a 404.php in the theme
	Make sure WordPress root URLs render correctly
	Filewrite now only builds rules on demand.
	Fixed dismiss button on intro modal for small screens
	General cleanup and typo fixing
4.0.7 - 2014-04-01 - Packaging Bot (modules/free)
	Updated modules/free to version 1.0.3
4.0.8 - 2014-04-01 - Packaging Bot (modules/free)
	Updated modules/free to version 1.0.4
4.0.9 - 2014-04-02 - Packaging Bot (modules/free)
	only save post meta for ssl when the value is true
	fixed missing admin user settings if only one part had been changed
	SSL Redirection working properly on front end. No more redirect errors
	hide backend will warn of the new url when saving
	hide backend will now email the notification email(s) when the login area has been moved
	Added BackupBuddy coupon
4.0.10 - 2014-04-02 - Packaging Bot (core)
	Added ability to manually purge log table
4.0.11 - 2014-04-03 - Packaging Bot (core)
	Added "Show intro" button next to screen options to bring the intro modal back
	Added ability to use HTML in error messages
	Minor copy and other tweaks
4.0.12 - 2014-04-03 - Packaging Bot (modules/free)
	Private posts will now work with hide backend
	Added an option for custom login action that can bypass hide login
	Allow admin-ajax.php to bypass hide backend
	Added filters for external backup plugins to register with the dashboard
	Enable theme compatibility mode by default
	Miscellaneous copy and function doc fixes
4.0.13 - 2014-04-05 - Packaging Bot (core)
	Execute permanent ban on the correct lockout count, not the next one
	Updated quick ban rules to match standard ban rules (will work with proxy)
4.0.14 - 2014-04-05 - Packaging Bot (modules/free)
	Fixed an NGINX rule that didn't actually block XMLRPC.php
	Updated rule order on ban users
	Fixed a bug that could prevent away from from turning off in certain time configurations (this resulted in the return to homepage on login)
	Updated some function doc
4.0.15 - 2014-04-05 - Packaging Bot (core)
	Update plugin build
4.0.16 - 2014-04-05 - Packaging Bot (modules/free)
	Fixed bug preventing file change scanning from advancing when chunked
	Don't autoload file list on non-multisite installations
	Make sure away mode settings transfer from 3.x or disable away mode
4.0.17 - 2014-04-08 - Packaging Bot (modules/free)
	Make sure unset admin user field remains if the other setting has been fixed
	Removed admin user from settings table of contents
	Make sure array input is trimmed in file change module
	Correct input type on file change settings sanitization
	Use full URL on file change warning redirect to prevent invalid target
	Reduce erroneous hide backend change warnings
	When accessing htaccess or wpconfig make sure opening settings changes are 664 instead of 644 to reduce issues
	Update hackrepair.com's Agents blacklist
4.0.18 - 2014-04-08 - Packaging Bot (core)
	Make sure global settings save button matches others
	Fixed link in locout email
	Email address settings retain end of line
	Sanitize email addresses on save and not just use
	Make sure whitelist is actually an array before trying to process
	Make sure rewrite rules show on dashboard when file writing isnt allowed
	Added extra information to dashboard server information to help troubleshooting
4.0.19 - 2014-04-08 - Packaging Bot (modules/free)
	Clean up away mode to prevent lockouts on update or other points
4.0.20 - 2014-04-10 - Packaging Bot (core)
	Updated core to version 1.0.9
4.0.21 - 2014-04-10 - Packaging Bot (modules/free)
	Updated modules/free to version 1.0.11
4.0.22 - 2014-04-14 - Packaging Bot (core)
	Updated core to version 1.0.10
4.0.23 - 2014-04-14 - Packaging Bot (modules/free)
	Updated modules/free to version 1.0.12
4.0.24 - 2014-04-17 - Packaging Bot (core)
	Make sure logs directory is present before trying to use it
	Log a message when witelisted host triggers a lockout
	Don't create log files if they're not going to be used
	Miscellaneous typos and orther bugfixes
	Add pro tab if pro modules need it
	Upgrade module loader to only load what is needed
4.0.25 - 2014-04-17 - Packaging Bot (modules/free)
	Make sure backup directory is present before trying to use it
	Make sure backup file method is respected on all backup operations
	Added ability to limit number of backups saved to disk
	Minor typo and other fixes
	Only load front-end classes as needed
	Add link to free support at .org forums
	Remove select(?ed) from suspicious query strings for 3.9 compatibility
	Fixed domain mapping issue (requires http://wordpress.org/plugins/wordpress-mu-domain-mapping/ domain mapping plugin)
	Remove array type errors on 404 pages
	Remove remaining create function calls
4.0.26 - 2014-04-18 - Packaging Bot (core)
	Make sure uploads directory is only working in blog 1 in multisite
	Better checks for run method in module loader
4.0.27 - 2014-04-18 - Packaging Bot (modules/free)
	XMLRPC soft block should now work with WordPress mobile app
4.1.1 - 2014-04-21 - Packaging Bot (core)
	Make sure "remove write permissions" works
	Better descriptions on white list
	Add pro table of contents if needed
	Make sure security admin bar item works
	Make sure lockout message only happens when needed
	Suppress errors on readlink calls
	Make sure class is present for permanent ban
	Make sure white list is an array
	Fix white listed IPs not working
4.1.2 - 2014-04-21 - Packaging Bot (modules/free)
	Log when Away-mode is triggered
	Make sure away mode file isn't accidently deleted
	Make sure away mode doesn't even allow access to the login form (as it didn't in 3.x)
	Enhance warnings on "Change content directory" settings
	Better descriptions on white lists
	Fixed XMLRPC label
	Better XMLRPC Dashboard status
	Don't allow logout action on wp-login.php with hide backend
4.1.3 - 2014-04-21 - Packaging Bot (modules/free)
	Better check for variable in SSL admin
4.1.4 - 2014-04-24 - Packaging Bot (core)
	Miscelaneous typos and other fixes
	Remove extra file lock on saving .htaccess, nginx.conf and wp-config.php. Only flock will be used in these operations
4.1.5 - 2014-04-24 - Packaging Bot (modules/free)
	Fixed a function not found error in the brute force module
	Improved content filtering in SSL so that more images and other content will link with appropriate protocol.
	Fixed hide backend in cases where a lockout has expired
	Miscelaneous typos and other fixes.
4.2.1 - 2014-05-07 - Packaging Bot (core)
	Updated core to version 1.2.0
4.2.2 - 2014-05-07 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.0
4.2.3 - 2014-05-19 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.1
4.2.4 - 2014-05-19 - Packaging Bot (core)
	Updated core to version 1.2.1
4.2.5 - 2014-05-28 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.2
4.2.6 - 2014-05-28 - Packaging Bot (core)
	Updated core to version 1.3.0
4.2.7 - 2014-06-11 - Packaging Bot (core)
	Updated core to version 1.4.0
4.2.8 - 2014-06-11 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.3
4.2.9 - 2014-06-12 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.4
4.2.10 - 2014-06-12 - Packaging Bot (core)
	Updated core to version 1.4.1
4.2.11 - 2014-06-12 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.5
4.2.12 - 2014-06-12 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.6
4.2.13 - 2014-06-12 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.7
4.2.14 - 2014-07-02 - Packaging Bot (core)
	Updated core to version 1.4.2
4.2.15 - 2014-07-02 - Packaging Bot (modules/free)
	Updated modules/free to version 1.2.8
4.3.1 - 2014-07-28 - Packaging Bot (modules/free)
	Added on-demand malware scanning for the homepage
	Fixed Error in 404 scanning if path field was empty
	Updated hackrepair.com's default blacklist
	Modified support reminder to ask users to upgrade rather than donate
	Use get_home_path() in place of ABSPATH to account for WordPress core in a different directory than wp-content
	Use PHP comments in index.php file to account for the possibility of a scan including the file in which case the html comment could result in an error
	Fixed various typos throughout the plugin dashboard
	Added ability to prevent file change scanning from running on a given page load by defining ITSEC_FILE_CHECK_CRON to true
	Cleaned up file change logging reports to me more clear when no files have been changed
	Added feature to immediately ban user "admin" when no user "admin" exists on the site and a host tries to log in with it anyway
	Added blank line to end of all textarea input to make it easier to input data
	Added brute force checks to XMLRPC calls to prevent brute force attacks against XMLRPC
4.3.2 - 2014-07-28 - Packaging Bot (core)
	Added malware and malware scheduling modules
	Added better URL validation to ITSEC_LIB
	Added exception for 127.0.0.1 to prevent a local server from being locked out of a site during wp-cron or other calls
	Added button to quickly add current IP address to permanent whitelist
	Added appropriate message for logs page when logs are not available due to "file only" logging being selected
4.3.3 - 2014-07-28 - Packaging Bot (modules/free)
	Fixed an inadvertant disabling of file change scans intrudced in 4.3
4.3.4 - 2014-07-29 - Packaging Bot (modules/free)
	Updated modules/free to version 1.3.2
4.3.5 - 2014-07-29 - Packaging Bot (core)
	Make sure pro core module loads to remove upsell when pro has already been purchased.
4.3.6 - 2014-07-30 - Packaging Bot (modules/free)
	Clean up notifications for file change detection and malware scanning
4.3.7 - 2014-07-30 - Packaging Bot (core)
	Clean up notifications for file change detection and malware scanning
4.3.8 - 2014-08-11 - Packaging Bot (core)
	Ensure that individual module updates fire when updating the plugin
	Added function to retrieve current URL from the front-end
4.3.9 - 2014-08-11 - Packaging Bot (modules/free)
	Remove error message if WP_Error is returned with wp_remote_post in malware scan
	Fixed bug where away-mode was still enabled after one-time period has passed which could result in away mode activating when it should not
	Fixed error in brute force protection that counts valid logins with XML-RPC as bad logins towards a brute force lockout.
4.3.10 - 2014-08-20 - Packaging Bot (core)
	Updated core to version 1.5.4
4.3.11 - 2014-08-20 - Packaging Bot (modules/free)
	Low Severity Security Fix - Lack of access control patched - Sucuri (reported 19Aug2014)
	Fixed an error in XMLRPC blocking when $username variable cannot be found
4.4.1 - 2014-09-09 - Packaging Bot (core)
	New Feature: Add IPCheck Brute Force API integration
	New Feature: Add ability to receive a daily digest email instead of individual emails per event.
	Enhancement: Added "Go Pro" menu item to admin menus.
	Enhancement: Added button to release IP address from temporary whitelist.
	Fixed: introduction screen should now display completely on computers with low-resolution screens.
	Fixed: multisite bug that still showed BackupBuddy (if present) even though BackupBuddy is not multisite compatible.
	Fixed: Scrolling table of contents should not cover side-bar items on pro.
	Fixed: When changing admin user login form will no show the correct path when WordPress is not installed in the same directory as the website address.
	Fixed: File locking will try to create the iThemes Directory if it isn't already present rather than just saying a lock could not be attained.
4.4.2 - 2014-09-09 - Packaging Bot (modules/free)
	New Feature: Add IPCheck Brute Force API integration
	Enhancement: Reordered sidebar items to make it easier for the user to get to the information they need from iThemes
	Fixed: The plugins_loaded hook which fires on logout will now fire later to improve compatibility with iThemes Exchange
	Fixed: multisite bug that still showed BackupBuddy (if present) even though BackupBuddy is not multisite compatible.
	Fixed: Added an extra flag in an attempt to reduce duplicate file-change detection executions.
	Fixed: Added missing index.php files to directories that were missing them to ensure no information could be attained if directory is turned on.
	Fixed: Make sure hide backend rewrite rules are consistent with the correct location of the WordPress login page when WordPress is not installed in the main website folder.
	Fixed: Fixed an error whereas an empty filter could display an error when building the log tables.
4.4.3 - 2014-09-09 - Packaging Bot (modules/free)
	Fixed: Fixed an error that could occur on multisite due to a missing "core" object
4.4.4 - 2014-09-09 - Packaging Bot (modules/free)
	Fixed: Force stylesheet reload for new nags and other items by pushing plugin build number to stylesheet registrations
4.4.5 - 2014-09-09 - Packaging Bot (core)
	Fixed: Fixed typos in digest email.
	Fixed: Fixed typos in default network lockout message.
	Fixed: Force stylesheet reload for new nags and other items by pushing plugin build number to stylesheet registrations
4.4.6 - 2014-09-10 - Packaging Bot (modules/free)
	Fixed: fixed possible undefined api_error variable on line 316 if WordPress believes the email address is invalid.
	Fixed: failed calls to various apis will no longer throw a php error on failure.
4.4.7 - 2014-09-11 - Packaging Bot (lib/icon-fonts)
	Add support for ContactBuddy
4.4.8 - 2014-09-15 - Packaging Bot (modules/free)
	Enhancement: Added a link to the actual timezone settings in the general settings page (instead of the top of the page)
	Fixed: Fixed missing "no changes" text in file change emails.
	Fixed: Formatting of individual file change emails will now work.
	Fixed: Fixed a bug in ban users user agents that would cause a crash on Apache if the user agent contained a space
	Fixed: When an invalid backup directory is detected it will not fail but will instead reset it to the original.
4.4.9 - 2014-09-15 - Packaging Bot (core)
	New Feature: Automatically generate strong passwords
	New Feature: Password expiration
	Fixed: When an invalid log directory is detected it will not fail but will instead reset it to the original.
	Fixed: No more duplicate digest emails
	Fixed: No more "Array" message appearing in digest emails from user lockouts
	Fixed: HTML in traditional file log emails will display correctly.
	Fixed: From address in notification emails will now display correctly.
	Fixed: MySQL errors will no longer appear for missing iThemes Security tables. Instead it will attempt to recreate them.
4.4.10 - 2014-09-16 - Packaging Bot (modules/free)
	Enhancement: Updated copy on Virustotal API key to indicate that a private key is not needed.
	Fixed: More complete check for user id when resettings password will prevent undefined index login on line 62 error.
	Fixed: Fixed a bug that prevented the api key from saving after resetting the key.
	Fixed: Removed errors that could occur due to the use of custom capabilities and roles.
4.4.11 - 2014-09-16 - Packaging Bot (core)
	Updated core to version 1.7.1
4.4.12 - 2014-09-17 - Packaging Bot (core)
	Updated core to version 1.7.2
4.4.13 - 2014-09-17 - Packaging Bot (modules/free)
	Updated modules/free to version 1.4.6
4.4.14 - 2014-10-09 - Packaging Bot (core)
	Fixed: fixed duplicate ID issue from user_id_exists calls.
	Fixed: Fixed an error in the lockout module that results in an error for users of multisite
	Fixed: Notification emails will no longer send if not turned on
	Fixed: Duplicate messages will not be allowed in digest emails
	Fixed: Duplicate digest emails will have a far lesser chance of sending
	Fixed: User lockout count in email notifications will now be correct
4.4.15 - 2014-10-09 - Packaging Bot (modules/free)
	Updated modules/free to version 1.4.7
4.4.16 - 2014-10-09 - Packaging Bot (core)
	Fixed: Error on line 1312 when iThemes API is actived with version 4.4.15
4.4.17 - 2014-10-13 - Packaging Bot (modules/free)
	New Pro Feature: Dashboard widget. Get important information and handle user blocking right from the WordPress Dashboard.
	Fixed: When using wp-cron for file checking cron check will run daily instead of hourly.
4.4.18 - 2014-10-13 - Packaging Bot (core)
	New Pro Feature: Dashboard widget. Get important information and handle user blocking right from the WordPress Dashboard.
4.4.19 - 2014-10-21 - Packaging Bot (core)
	New Pro Feature: File change scanning will now compare WordPress core files to the WordPress.org repository.
	Fixed: Make sure php_gid is always defined to prevent error message if the function is not usable.
	Fixed: Link to BackupBuddy in admin bar will now work correctly.
4.4.20 - 2014-10-21 - Packaging Bot (modules/free)
	New Pro Feature: File change scanning will now compare WordPress core files to the WordPress.org repository.
4.4.21 - 2014-10-28 - Packaging Bot (modules/free)
	Enhancement: More time/date information is now shown in the logs for file change scanning
	Fixed: Filechange will no longer show false positives with every change in DST (although this will cause run round of such notifications on update).
	Fixed: Link to malware scanning logs will work.
4.4.22 - 2014-11-04 - Packaging Bot (core)
	New Pro Feature: Temporary privilege escalation
4.4.23 - 2014-11-05 - Packaging Bot (core)
	Security Fix: Fixed possible XSS vulnerability in ITSEC_Lib. - Low priority - Thanks to http://planetzuda.com
4.5.1 - 2014-12-04 - Packaging Bot (modules/free)
	New Feature: Perform file scan via iThemes Sync
	New Feature: Perform malware scan via iThemes Sync
	Fixed: Make sure to esc urls on SSL redirects (unreported minor security fix)
	Fixed: Added filters to SSL to try to catch more assets
	Fixed: Suspicious query strings feature should no longer conflict with many plugins
	Fixed: File change detection should no longer throw an error if opendir failed
4.5.2 - 2014-12-04 - Packaging Bot (core)
	New Pro Feature: wp-cli integration
	New Feature: Temporarily whitelist your IP address via iThemes Sync
	New Feature: Override proxy IP detection
	New feature: Hide admin bar (if desired)
	Enhancement: Added filter to allow for custom log pages
	Enhancement: Added debug constant to help troubleshoot multiple emails
	Enhancement: Added constant to force digest emails via wp-cron instead of custom timing
	Fixed: Various missing variable fixes were added
	Fixed: MySQL errors on MySQL 5.6 during activation were fixed.
	Fixed: HTML emails now contain HTML tag
	Fixed: Lockout count in emails should now be more accurate
4.5.3 - 2014-12-16 - Packaging Bot (modules/free)
	New Feature: Perform file scan via iThemes Sync
	New Feature: Perform malware scan via iThemes Sync
	Fixed: Make sure to esc urls on SSL redirects (unreported minor security fix)
	Fixed: Added filters to SSL to try to catch more assets
	Fixed: Suspicious query strings feature should no longer conflict with many plugins
	Fixed: File change detection should no longer throw an error if opendir failed
4.5.4 - 2014-12-16 - Packaging Bot (core)
	New Pro Feature: wp-cli integration
	New Feature: Temporarily whitelist your IP address via iThemes Sync
	New Feature: Override proxy IP detection
	New feature: Hide admin bar (if desired)
	Enhancement: Added filter to allow for custom log pages
	Enhancement: Added debug constant to help troubleshoot multiple emails
	Enhancement: Added constant to force digest emails via wp-cron instead of custom timing
	Fixed: Various missing variable fixes were added
	Fixed: MySQL errors on MySQL 5.6 during activation were fixed.
	Fixed: HTML emails now contain HTML tag
	Fixed: Lockout count in emails should now be more accurate
4.5.5 - 2014-12-16 - Packaging Bot (modules/free)
	Fixed: Removed unneeded fields in malware
4.5.6 - 2014-12-16 - Packaging Bot (core)
	New Pro Feature: Google reCAPTCHA
4.5.7 - 2015-01-05 - Packaging Bot (modules/free)
	Fix/Enhancement: Code refactoring of numerous modules
	Fix: Hiding available updates in multi-site will no longer block wp-cli from detecting updates.
	Fix: Removed leftover JavaScript debugging statements.
4.5.8 - 2015-01-05 - Packaging Bot (core)
	New Feature: Add file/folder permissions check to Dashboard
	Fix/Enhancement: Minor refactoring of various core components
4.5.9 - 2015-01-12 - Packaging Bot (modules/free)
	Updated modules/free to version 1.5.3
4.5.10 - 2015-01-12 - Packaging Bot (core)
	Fix: Fixed duplicate module listsing on log page dropdown
	Fix: Fixed missing lockouts on iThemes Sync dashboard
4.6.1 - 2015-01-21 - Packaging Bot (modules/free)
	Updated modules/free to version 1.6.0
4.6.2 - 2015-01-21 - Packaging Bot (core)
	New Feature: Change WordPress Salts
	Enhancement: Refactored ITSEC_Lib and ITSEC_Files for better usability and new functions to make changing salts possible
4.6.3 - 2015-01-27 - Packaging Bot (core)
	Bug Fix: Generating wp-config.php file updates no longer produces warnings.
4.6.4 - 2015-01-27 - Packaging Bot (core)
	Bug Fix: Fixed .htaccess file modifications failing.
4.6.5 - 2015-02-05 - Packaging Bot (core)
	Fix: Quick banning IPs will now work correctly if existing htaccess rules are in place
	Fix: minor bug fixes and typo corrections.
4.6.7 - 2015-02-20 - Packaging Bot (modules/free)
	Updated modules/free to version 1.6.1
4.6.8 - 2015-02-20 - Packaging Bot (core)
	Enhancement: Limit the number of lockouts that can be displayed at any given time in the dashboard.
	Fix: Make sure header error messages are suppressed when performing a lockout.
	Fix: Fix error message from missing login information when displaying lockouts.
4.6.9 - 2015-02-26 - Packaging Bot (modules/free)
	Bug Fix: When a file scan is run from iThemes Sync, a warning will no longer be added to the site's error log.
4.6.10 - 2015-02-26 - Packaging Bot (core)
	Bug Fix: Fixed regression that prevented adding wildcard IP's in the form of 'XXX.XXX.XXX.*' to Ban Hosts.
4.6.11 - 2015-03-20 - Packaging Bot (core)
	Enhancement: Translation files can now be stored in WP_LANG_DIR/plugins/ithemes-security-pro for
		iThemes Security Pro and WP_LANG_DIR/plugins/better-wp-security for iThemes Security free version.
	Bug Fix: The file permissions check will no longer list a warning if the plugins directory has permissions of 755.
4.6.12 - 2015-03-20 - Packaging Bot (modules/free)
	Bug Fix: Fixed incorrect text describing the "Backups to Retain" database backup setting.
4.6.13 - 2015-04-13 - Packaging Bot (modules/free)
	Bug Fix: Security fix for XSS vulnerability. Thanks to Ole Aass (@oleaass) for finding and disclosing this vulnerability to the iThemes Security team.
4.7.0 - 2015-06-17 - Chris Jean
	Enhancement: Updated to use new file modification API.
	Enhancement: Added HackRepair.com blacklist for Nginx.
	Enhancement: Improved Nginx support for System Tweak features.
	Enhancement: Updates to wp-config.php, .htaccess, and nginx.conf files now support more systems.
	Enhancement: Combined the "Force SSL for Dashboard" and "Force SSL for Login" settings to a unified "Force SSL for Dashboard" setting. This is due to how the FORCE_SSL_LOGIN define was deprecated in WP 4.0.0.
	Enhancement: Added comments to wp-config.php, .htaccess, and nginx.conf updates that indicate which settings affect the specific entries.
	Enhancement: Added translation support for previously static strings, including strings used for comments in wp-config.php, .htaccess, and nginx.conf files.
	Enhancement: Improved generation of valid referers for use by the Reduce Comment Spam feature.
	Enhancement: Broadened the server support in the import settings code.
	Enhancement: Added new library classes for managing files, directories, and config files.
	Enhancement: Improved error messages for when file writes fail.
	Enhancement: Improved error messages for when export file creation fails.
	Enhancement: Improved error messages for situations when the .htaccess, nginx.conf, or wp-config.php files may need to be manually updated.
	Bug Fix: Added support for Apache 2.4 without the access_compat module.
	Bug Fix: Fixed condition where forcing SSL on front-end pages could cause infinite redirection loops with specific setups of nginx to Apache reverse proxy servers.
	Bug Fix: Fixed scenarios where the site would be forced to load via https but scripts, stylesheets, and images would load via http.
	Bug Fix: Fixed invalid nginx.conf rule generation for the Reduce Comment Spam feature.
	Bug Fix: Corrected invalid parsing of some IP formats in Ban Hosts list.
	Bug Fix: Improved error handling when reading or updating config files.
	Bug Fix: Fixed various warnings that would display when changing settings.
	Bug Fix: Fixed a situation where creation of a zipped export file would fail, but an email would still be sent as if the zip was created successfully.
4.8.0 - 2015-07-06 - Chris Jean
	Feature Removal: Removed the malware scanning features as VirusTotal no longer supports scanning from WordPress sites. A replacement is in the works.
	Bug Fix: The close button on the "Thank you for activating iThemes Security" message now appears in the correct location.
	Bug Fix: Removed the site's URL being displayed in the "Replace jQuery With a Safe Version" setting details.
	Bug Fix: Updated .htaccess rules to be compatible with Apache 2.4 without the auth compat module.
	Bug Fix: Enabling and disabling the "Remove File Writing Permissions" setting now updates the file permissions properly.
	Bug Fix: Web servers that cannot be recognized now default to Apache.
	Enhancement: Updated the hackrepair lists.
4.9.0 - 2015-08-03 - Chris Jean
	Feature Removal: Removed the "Remove WordPress Generator Meta Tag" feature as it is not recommended due to limited security benefit and creating compatibility issues.
	Enhancement: Added the ability to undo the Content Directory change.
	Bug Fix: No longer tries to load a non-existent JavaScript file for the salts module.
	Bug Fix: Fixed an issue with one-time database backups on multi-site installs.
	Bug Fix: Fixed issues related to locating .htaccess or nginx.conf files on sites with WordPress installed in a separate directory.
	Bug Fix: Fixed issues with PHP blocking in uploads directory not working with certain non-standard setups.
	Bug Fix: Minor change to fix a warning that can appear after changing the Content Directory.
	Bug Fix: Fixed a PHP fatal error that could occur on some servers when adding a ban to the site's .htaccess or nginx.conf file.
5.0.0 - 2015-09-14 - Chris Jean
	Compatibility Fix: Changed translation domain from it-l10n-better-wp-security to better-wp-security. This change was necessary in order to be included in the translate.wordpress.org project.
	New Feature: Added malware scanning provided by Sucuri SiteCheck.
5.0.1 - 2015-09-15 - Chris Jean
	Compatibility Fix: Added support for ITSEC_TEST_MALWARE_SCAN_DISABLE_SSLVERIFY. Setting it to true can bypass "SSL peer certificate or SSH remote key was not OK" errors on servers with bad SSL configurations.
5.1.0 - 2015-10-15 - Chris Jean
	New Feature: Added "Multiple Authentication Attempts per XML-RPC Request" setting to the WordPress Tweaks section. When this setting is set to "Block", iThemes Security will block brute force login attacks against XML-RPC as described by Sucuri in this blog post: https://blog.sucuri.net/2015/10/brute-force-amplification-attacks-against-wordpress-xmlrpc.html
	Enhancement: Updated text describing the XML-RPC setting in the WordPress Tweaks section to better explain what the setting is for and which setting is recommended.
	Enhancement: Improved IP detection when proxy detection is active by processing the header set by CloudFlare.
	Enhancement: Added a filter named itsec_filter_remote_addr_headers which can be used to change which headers are searched for the client IP. This allows for tailoring the IP detection for specific reverse proxies and load balancers.
	Bug Fix: Updated the Banned Users settings to no longer add a newline to the Ban Hosts input each time the settings page is saved.
	Compatibility Fix: Updated code triggered by the ITSEC_TEST_MALWARE_SCAN_DISABLE_SSLVERIFY define. This avoids plugin compatibility issues that prevent disabling the SSL peer verification.
5.1.1 - 2015-11-10 - Chris Jean
	Enhancement: Removed Yandex and Sogou from the HackRepair blacklist as they are legitimate search engine bots.
	Enhancement: Added detailed information about Sucuri malware scan errors to Malware Scan log details.
	Bug Fix: No longer enables display of database errors when an event is logged.
5.2.0 - 2016-01-18 - Chris Jean & Aaron D. Campbell
	Security Fix: Fixed PHP code that could allow AJAX requests to list directories and files outside the directory structure of the WordPress installation. Note that these AJAX requests required a logged in user with admin-level privileges. This vulnerability was unable to be exploited by non-privileged or anonymous requests.
	Bug Fix: Updated the SSL feature to use 301 redirects rather than 302 redirects.
	Bug Fix: Fixed situations where security nonces would incorrectly trigger "security check" errors when enabling specific combinations of features on the settings page.
	Bug Fix: Enabling scheduled database backups and setting a backup interval of 0 days no longer results in a backup being created on every page load.
	Bug Fix: Module-specific data is properly initialized/removed on plugin activation, deactivation, and uninstallation.
	Feature Removal: Removed the "Security Status" portion of the Security > Dashboard page. This is in preparation for a new tool that provides suggestions tailored to the site and server that Security is running on.
	Enhancement: Updated the way the feature modules function in order to allow them to be redesigned in a more efficient and flexible way for future releases.
	Enhancement: Updated the File Change Detection feature to attempt a max memory limit of 256M rather than 128M as some users experience out of memory issues which could be fixed with the higher memory limit.
	Enhancement: Updated the Database Backup feature to attempt a max memory limit of 256M rather than 128M as some users experience out of memory issues which could be fixed with the higher memory limit.
	Enhancement: Added localization support for some non-localized strings.
	Enhancement: Improved detection of multiple active versions of iThemes Security.
5.2.1 - 2016-02-04 - Chris Jean & Aaron D. Campbell
	Bug Fix: Comparisons of IPv4 addresses and ranges now include the IP's at the edge of the ranges.
	Bug Fix: IPv4 tests now work as expected when deciding if a blacklisted IP or range overlaps a whitelisted IP's and ranges.
	Bug Fix: Fixed styling issue that affected the display of the horizontal tabs on settings pages in WordPress 4.5.
	Bug Fix: Replaced old module sorting order in settings screens.
	Bug Fix: Fixed PHP 7 compatibility issue that triggers the following error: "Uncaught Error: Call to undefined function mysql_get_client_info()".
	Bug Fix: Fixed warnings and errors that could occur when deleting the plugin.
	Bug Fix: Fixed warning that could occur on a failed login when Local Brute Force Detection is disabled.
	Bug Fix: All data added to the options table by iThemes Security is removed on uninstall.
	Bug Fix: Fixed the cause of the following warning: call_user_func_array() expects parameter 1 to be a valid callback, class 'ITSEC_SSL_Setup' does not have a method 'execute_deactivate'
	Enhancement: When a lockout is being executed, wp_logout() will only be called if the current page request comes from a logged in user. This prevents plugins that log logout events from logging log outs from unknown users.
	Enhancement: Improved the descriptions used for some of the data displayed in the "System Information" section of Security > Dashboard.
	Enhancement: Added "Use MySQLi" entry to the "System Information" section of Security > Dashboard to show whether the MySQLi driver is enabled.
	Enhancement: Updated the "SQL Mode" entry in the "System Information" section of Security > Dashboard to show the full details if that value is set.
	Enhancement: Improved code that ensures that tables and options table entries created by iThemes Security are removed on uninstall only when no other iThemes Security plugin is active.
5.3.0 - 2016-02-17 - Chris Jean & Aaron D. Campbell
	New Feature: Added support for IPv6 addresses. This includes support for IPv6 in lockouts, ban hosts, and white lists.
	Bug Fix: Fixed issue that could cause username-based lockouts to fail for long usernames.
	Bug Fix: Fixed issue that prevented wildcard IP ranges from being blacklisted or whitelisted.
	Bug Fix: Removed warnings generated when the Away Mode module is disabled and iThemes Sync contacts the site.
	Enhancement: Updated descriptions of valid IP and IP range formats for the Lockout White List and the Ban Hosts settings.
	Enhancement: Updated host entries in log details to link to traceip.net rather than ip-adress.com. This is because ip-adress.com does not support IPv6 addresses.
	Enhancement: Updated some translatable strings relating to blacklisting and whitelisting to allow for better translations.
	Enhancement: Added details about how wildcard IP ranges are converted to CIDR format (this improves performance).
5.3.1 - 2016-02-29 - Chris Jean & Aaron D. Campbell
	Security Fix: Hardened the created backups and logs directories. Thanks to Nicolas Chatelain (SYSDREAM IT Security Services) for notifying us of this issue.
	Security Fix: More secure backup and log file names. Thanks to Nicolas Chatelain (SYSDREAM IT Security Services) for notifying us of this issue.
	Bug Fix: The "NGINX Conf File" setting is now properly respected, causing the generated NGINX configuration file to be stored in that location.
	Enhancement: Generated database backup file names now contain a human-readable timestamp in the format of YYYYMMDD-HHMMSS.
	Enhancement: Zipped database backup files no longer contain a deeply nested directory structure. Instead, they only contain the sql file.
	Enhancement: When the "Force Unique Nickname" feature is enabled, the generated display name now uses an improved randomization function.
	Enhancement: Improved tabbing of rules in generated nginx.conf files.
	Enhancement: Removed the "See what's new button" as it has fulfilled its purpose.
5.3.2 - 2016-03-01 - Chris Jean & Aaron D. Campbell
	Bug Fix: Updated code that generates the backups and logs directories to ensure that it attempts to create the parent directory if it does not exist yet.
	Bug Fix: Removed warnings that could be generated if the logs directory could not be created.
	Bug Fix: Database backup files sent via email no longer have a name without an extension if zipping up the file fails.
5.3.3 - 2016-03-03 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed temporary whitelisting by preventing a temporarily whitelisted IP from being locked out.
5.3.4 - 2016-03-17 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed issue that could cause a fatal error after changing the content directory.
	Bug Fix: Updated the link to sign up for security guide download to point to a https address. This is better security and prevents warnings when submitting from a http site in some browsers.
	Bug Fix: If a cryptographically secure log file name can't be generated, queue up log file writes until we can.
5.3.5 - 2016-03-29 - Chris Jean & Aaron D. Campbell
	Security Fix: No longer using document.location to build 'Show Intro' link in admin - Thanks to David Lodge (Pen Test Partners) for notifying us of this issue.
	Bug Fix: Fixed some notices when certain multisite options are used on BuddyPress
	Enhancement: New itsec_white_ips filter to allow plugins that work with external services to whitelist service IPs
5.3.6 - 2016-04-19 - Chris Jean & Aaron D. Campbell
	Security Fix: Better caps checks for dismissal of changed file dialog - Thanks to Julio Potier for notifying us of this issue.
	Bug Fix: Make file change warning dialog text properly translatable
	Enhancement: Adding 'itsec_log_event' action for logged events
5.3.7 - 2016-05-02 - Chris Jean & Aaron D. Campbell
	Bug Fix: Throw a real 403 instead of a faked 404 for hide backend - Fixes compatability with certain plugins including WordPress SEO. Hat tip to Joost de Valk (@jdevalk) and the @Yoast team for bringing this issue to our attention.
5.4.0 - 2016-05-24 - Chris Jean & Aaron D. Campbell
	Enhancement: New user interface with both grid and list views for managing settings.
	Enhancement: New automatic temp whitelisting of IPs for users that manage iThemes Security settings.
	Enhancement: Better feedback on errors when modifying wp-config.php or server config files.
	Enhancement: Improved code efficiency of the Away Mode feature so that it takes less processing time when active.
	Enhancement: Rather than disabling features that have invalid user input, the user now can fix the issue before saving.
	Enhancement: Improved the efficiency of the plugin's loading code, reducing the amount of time taken to run the plugin.
	New Feature: Global settings now has a "Show Error Codes" setting that can provide an error message's specific error code when it is enabled.
	Bug Fix: More than one IP can now be temp whitelisted.
	Bug Fix: Fixed a bug where some modules would be enabled or disabled when they shouldn't be after upgrading to the latest version.
	Bug Fix: Will not send notification emails about the new login address when Hide Backend is enabled and doing an upgrade.
	Compatibility Fix: Updated handling of wp_remote_get() responses in preparation for changes coming in WordPress 4.6.
5.4.1 - 2016-05-25 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed error that would prevent nginx servers from being able to make use of the "Reduce Comment Spam" feature of the WordPress Tweaks module.
	Bug Fix: Restored missing log filter for 404 Detection log entries.
5.4.2 - 2016-05-25 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed links to Settings, Logs, and creating a backup on Multisite.
	Enhancement: The "Write to Files" setting is now enabled by default.
5.4.3 - 2016-05-26 - Chris Jean & Aaron D. Campbell
	Bug Fix: Don't rely on externally loaded MailChimp JavaScript.
5.4.4 - 2016-05-26 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed bug that could cause some sites to lose settings when upgrading.
5.4.5 - 2016-05-27 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed SQL query for Database Backups when "Backup Full Database" is enabled.
5.5.0 - 2016-06-07 - Chris Jean & Aaron D. Campbell
	New Feature: Added a new File Permissions section on the settings page to bring back the directory and file permissions listing feature found on the Security > Dashboard page of older plugin versions.
	Bug Fix: Fixed a situation where adding a very large list of IP's in the Ban Hosts list would generate an invalid .htaccess file on some servers.
	Enhancement: The Database Backups, Local Brute Force Protection, Network Brute Force Protection, Strong Password Enforcement, and WordPress Tweaks features are now active by default on new installations.
	Enhancement: The WordPress Tweaks feature now uses the "Disable File Editor" setting by default on new installations.
	Enhancement: The WordPress Tweaks feature now sets the "Multiple Authentication Attempts per XML-RPC Request" setting to "Block" by default on new installations.
	Enhancement: Improved the styling of notices.
5.6.0 - 2016-06-16 - Chris Jean & Aaron D. Campbell
	New Feature: Added a new Security Check section on the settings page. This new feature adds a tool to quickly ensure that the recommended features are enabled and the recommended settings are used.
	Bug Fix: Fixed the ability to remove the itsec_away.confg file in order to disable Away Mode.
	Enhancement: The "Ban Lists" setting of Banned Users is now enabled by default.
5.6.1 - 2016-08-10 - Chris Jean & Aaron D. Campbell
	Bug Fix: Fixed a potential logging issue that could prevent some lockout notices from being properly logged on non-English sites.
	Bug Fix: Prevented some notices from displaying to users who do not need to see them.
	Bug Fix: Limited notices to only display on specific pages on the dashboard.
	Compatibility Fix: Changed name of the $HTTP_RAW_POST_DATA variable to avoid erroneously tripping PHP 7 compatibility checks.
	Code Cleanup: Removed legacy code that is no longer needed.
	Enhancement: Started tracking when a user was last seen as logged in and active for future use.
	Misc: Added a placeholder for the Pro feature "User Security Check".
5.6.2 - 2016-09-27 - Chris Jean
	Security Fix: Fixed issue where a locked out but not yet blacklisted IP/user could receive different HTTP headers when testing a valid username/password combination. Thanks Leon Atkinson of 18INT for contacting us about this issue.
	Security Fix: Updated log output to prevent specific kinds of logged requests from displaying without sanitization. Thanks to Slavco Mihajloski for contacting us about this issue.
	Bug Fix: The Security > Security Check link now works as expected in multisite.
	Bug Fix: Fixed bug that could prevent the "Filter Long URL Strings" feature from working properly.
	Bug Fix: Removed restrictions in the "Filter Long URL Strings" feature that were unrelated to request length.
	Bug Fix: Corrected a settings description typo in Global Settings.
	Bug Fix: Fixed bug that could result in issues authenticating over XML-RPC when the WordPress Tweaks > Multiple Authentication Attempts per XML-RPC Request setting is set to "Block".
	Misc: Added placeholder for the Version Management module of iThemes Security Pro.
	Misc: Updated build number to trigger some updates.
5.6.3 - 2016-10-11 - Chris Jean
	Bug Fix: Removed the "Wget" user agent from the Hack Repair blacklist as it can block wp-cron jobs on some hosts.
	Bug Fix: Fixed error "PHP message: PHP Fatal error:  'continue' not in the 'loop' or 'switch' context".
	Enhancement: Added new Daily Digest email design.
5.6.4 - 2016-10-14 - Chris Jean
	Bug Fix: Fixed issue that reported invalid counts for host and user lockouts in the daily digest email.
	Bug Fix: Fixed issue that caused the daily digest email to be sent every day, even if no lockouts occurred and no file changes were found.
	Bug Fix: Fixed issue that could prevent saving of File Change settings, resulting in an error messages of "A validation function for file-change received data that did not have the required entry for latest_changes."
	Bug Fix: Fixed iThemes Security Pro logo appearing in daily digest emails.
5.7.0 - 2016-10-31 - Chris Jean
	Bug Fix: Fixed data save issue that could cause multiple notification emails to be sent in a short period of time.
	Bug Fix: Fixed issue that could cause the malware scanner to fail on sites that change the arg_separator.output php.ini value from its default value.
	Bug Fix: Removed redundant entries in the HackRepair blacklist.
	Bug Fix: Enabling Protect System Files in System Tweaks will now only block install.php for the current site. This fixes the issue where the setting can block installation of a site in a subdirectory.
	Bug Fix: Fixed problem that could cause requests for iThemes Security data from iThemes Sync to fail due to large amounts of log entries.
	Bug Fix: Scheduled backups now run if the ITSEC_BACKUP_CRON define is set with a non-boolean value.
	Bug Fix: Replaced static references to wp-includes with the WPINC define.
	Bug Fix: Moved blocking of query strings containing %0[0-9A-F] characters from the Non-English Characters setting to the Suspicious Query Strings setting as those characters are control code characters and are not associated with a language.
	Bug Fix: Added escaping to some translation strings.
	Bug Fix: Removed unused files from the WordPress Tweaks module directory.
	Bug Fix: Fixed the Daily Digest email reversing the user and host lockout counts.
	Bug Fix: The database backup email no longer sends from the email address configured in Settings > General. It now defaults to the same from address that the wp_mail() function uses. This will fix the mail being blocked by some mail servers due to a spoofed from address.
	Enhancement: Updated the server config rules generated by the System Tweaks settings. They are now more consistent between Apache, LiteSpeed, and nginx. They are also more efficient and have been improved to limit accidentally blocking non-targeted requests.
	Enhancement: Updated the database backup email to a new design.
	Enhancement: Added a note that the Filter Request Methods setting in System Tweaks should not be enabled if the WordPress REST API is used. This is becasue the DELETE HTTP method is blocked when the setting is enabled.
	New Feature: Added setting to block requests for PHP files in the plugins directory in System Tweaks.
	New Feature: Added setting to block requests for PHP files in the themes directory in System Tweaks.
5.7.1 - 2016-11-16 - Chris Jean
	Bug Fix: Remote IP is now correctly identified if the server is behind a reverse proxy that sends requests with more than one IP listed in a single header.
	Bug Fix: Fixed the link for a user in the logs page so that it properly works on sites that are inside a subdirectory.
	Bug Fix: Improved how Strong Password Enforcement works on password resets to improve compatibility with various plugins.
	Bug Fix: Improved the logic for determining whether a user should have Strong Password Enforcement applied. This covers situations where the user may have a custom role, a customized default role, or added capabilities beyond their role.
	Enhancement: Improved the logic for determing the requesting IP address to better handle situations where the site is behind a reverse proxy.
	Enhancement: Strong Password Enforcement now uses a PHP port of zxcvbn to ensure that a strong password was selected.
	Enhancement: All links in Security that have target="_blank" now have added rel attributes to protect against tabnapping.
	Misc: Updated remaining ip-lookup.net links to instead link to traceip.net in keeping with other links that were previously updated to traceip.net.
5.8.0 - 2016-11-29 - Chris Jean
	Enhancement: Updated the lockouts notification email to a new design. This new design also cleaned up the translation strings to allow better translations.
	New Feature: Added a "Protect Against Tabnapping" feature in the WordPress Tweaks section. Details of what this feature protects against can be found here: https://www.jitbit.com/alexblog/256-targetblank---the-most-underestimated-vulnerability-ever/
	Misc: Updated the description for the Lockout Period setting to indicate that the default value of 15 minutes is recommended.
5.8.1 - 2016-12-06 - Chris Jean
	Bug Fix: Fixed issue that could cause database backup emails to be sent without the backup zip attached.
5.9.0 - 2016-12-08 - Chris Jean
	New Feature: Added a "REST API" feature in the WordPress Tweaks section. This new feature allows you to block or restrict access to the REST API.
6.0.0 - 2016-12-28 - Chris Jean
	Bug Fix: Removed "comodo" from the list of user agents blocked by the HackRepair.com blacklist. This ensures that Comodo's AutoSSL feature of cPanel/WHM is able to function.
	Updated Feature: Updated the "REST API" feature in the WordPress Tweaks section. The feature now has proper support for protecting privacy on your site without preventing the REST API from functioning.
	Enhancement: Updated Security Check to enforce setting the "REST API" setting to "Restricted Access".
6.1.0 - 2017-02-07 - Chris Jean
	Enhancement: Added logging for failed two-factor, OAuth, and REST API authentications.
	Enhancement: Added logging details about the source of login failures and the type of authentication that failed.
	Enhancement: Due to improvements in tracking authentication failures, brute force attempts using alternate authentication methods are more reliably found and blocked.
	Enhancement: The server's IP is treated as whitelisted and will not be considered for lockouts or bans.
	Enhancement: Reduced memory usage when creating a backup.
	Enhancement: Changed log entry description of "IP Flagged as bad by iThemes IPCheck" to "IP Flagged by Network Brute Force Protection". This should help clarify the meaning of the log entry.
	Enhancement: Improved efficiency of the Network Brute Force Protection feature.
	Bug Fix: Fixed bug that prevented Network Brute Force Protection from working properly on some sites.
6.1.1 - 2017-02-09 - Chris Jean
	Bug Fix: Fixed bug that prevented Away Mode from activating on some sites.
6.2.0 - 2017-03-14 - Chris Jean
	Enhancement: Improved plugin performance by reducing the number of queries made on each page.
	Enhancement: Reduced memory and CPU usage due to various code improvements.
	Bug Fix: A database backup will no longer be created when first activating the plugin.
	Bug Fix: Added compatibility for MySQL strict mode in database creation syntax.
	Bug Fix: Removed warning about a "non well formed numeric value encountered" in PHP 7.1.
	Bug Fix: Modifications to wp-config.php, .htaccess, and nginx.conf files are now properly re-added upon reactivation.
	Bug Fix: Fixed full settings for Hide Backend being displayed after disabling the feature and saving the settings.
	Bug Fix: Enabling or disabling the Hide Backend feature will update the "Log Out" link so that it works as expected without having to load a new page.
	Bug Fix: Enabling or disabling the Hide Backend feature now properly updates the .htaccess/nginx.conf file on enable and disable rather than at some future point.
	Bug Fix: Fixed issue that could cause improper database table creation on multisite sites.
	Bug Fix: Fixed a bug that could prevent settings from saving properly if the site was migrated to a new server or a new home path on the server.
6.2.1 - 2017-03-23 - Chris Jean
	Bug Fix: When a requesting IP address cannot be found, default to 127.0.0.1. This fixes issues with some alternate cron setups.
	Bug Fix: Having more than one iThemes Security modification in a .htaccess, nginx.conf, or wp-config.php file will no longer result in having all the file content between each section removed when updating the file.
	Bug Fix: Modifications to the wp-config.php file added by W3 Total Cache now have their Windows-style newlines preserved when iThemes Security updates the file.
6.3.0 - 2017-07-06 - Chris Jean & Timothy Jacobs
	Important: The way that Hide Backend functions changes in this release. Previously, if your Hide Backend Login Slug was wplogin, going to example.com/wplogin would result in the URL remaining example.com/wplogin. The new implementation of this feature results in a redirect to a URL that looks as follows: example.com/wp-login.php?itsec-hb-token=wplogin. While this may not be desireable for some users, this change was necessary to fix longstanding compatibility issues with other plugins. Once you access the login page using the Login Slug page, a cookie is set with an expiration time of one hour. As long as the cookie remains, you can access example.com/wp-login.php without having to access the Hide Backend Login Slug first. If you wish to confirm that Hide Backend is working properly on your site, opening up a private browsing window is a quick way to test without having to log out and clear cookies.

	New Feature: Added support for iThemes Sync to run the Security Check feature from inside the Sync service.
	New Feature: Added support for the ITSEC_DISABLE_MODULES define.
	Bug Fix: Removed warning: "Non-static method ITSEC_Setup::uninstall() should not be called statically".
	Bug Fix: Fixed the ability to manually enter a page number to navigate to on the Security > Logs page.
	Bug Fix: Fixed source of warning that could appear when creating a backup while running a PHP version less than 5.4.
	Bug Fix: Fixed source of notice that could appear when reseting a user's password when the Strong Passwords Enforcement feature is enabled.
	Bug Fix: Fixed bugs that prevented reporting of specific error messages related to updating the wp-config.php file.
	Bug Fix: Fixed an infinite loop that could occur when expiring a cookie and Hide Backend is enabled.
	Bug Fix: Fixed compatibility issue with the Jetpack plugin when Hide Backend is enabled which could prevent Jetpack from redirecting users to the wordpress.com login page.
	Bug Fix: Fixed issue where access to wp-admin/admin-post.php when Hide Backend is enabled.
	Bug Fix: Fixed issue that could prevent "Register" and "Lost your password?" links from working properly on the login page when Hide Backend is enabled.
	Bug Fix: Fix fatal error when updating a profile.
	Bug Fix: Fix strong passwords not being recognized as strong on the profile page.
	Bug Fix: Fix fatal error when registering a new user without specifying a role ( iThemes Exchange ).
	Bug Fix: Compatability with JetPack SSO and Password Requirements.
	Bug Fix: Ensure viewport meta is defined when loading the password requirements update password form.
	Bug Fix: Hide Backend is now compatible with Jetpack Single Sign On.
	Bug Fix: Hide Backend now hides registration pages on multisite sites.
	Bug Fix: Fixed password-protected posts not properly handling the password when Hide Backend is enabled.
	Enhancement: Removed AhrefsBot from the HackRepair blacklist as they are legitimate bot.
	Enhancement: Improved efficiency of Hide Backend code, increasing site performance when the feature is enabled.
	Enhancement: Enforce strong passwords during log-in. Can be disabled via the ITSEC_DISABLE_PASSWORD_REQUIREMENTS constant.
	Enhancement: Use canonical roles library to determine if a new user or an updated role requires a strong password.
	Enhancement: Introduce password requirements module to centralize handling of password updates.
	Enhancement: The Hide Backend hidden login URL is no longer leaked by password-protected content.
	Enhancement: Allow for searching through modules and settings.
	Enhancement: Link to other module settings pages without forcing the page to refresh.
	Enhancement: Fire an action, "itsec_change_admin_user_id", when the admin user id changes.
	Enhancement: Changed default Hide Backend Register Slug from wp-register.php to wp-signup.php since WordPress switched from using wp-register.php to wp-signup.php for registrations. This will not affect existing sites.
	Enhancement: Hide Backend functions purely in PHP code now rather than relying half on PHP code and half on .htaccess and nginx.conf modifications. This allows Hide Backend to function on web servers and server configurations that it was previously not compatible with.
	Misc: Updated or added phpDoc to many functions.
	Misc: Updated Disable File Locking description.
6.4.0 - 2017-07-24 - Chris Jean & Timothy Jacobs
	Enhancement: Replaced file locking with database locking. This method of locking is compatible with all systems as it does not require the ability to write files. It also allows for locking to work on sites that have multiple front-end servers with a shared database. Since file locking is no longer used, the Global Settings > Disable File Locking setting was removed.
	Enhancement: Add "Copy to Clipboard" functionality for server and wp-config rules.
	Bug Fix: Prevent 404s when following links in email notifications on a site with Hide Backend enabled.
	Bug Fix: Ensure uninstall process is not run when another version of iThemes Security is still active.
	Bug Fix: Fixed method of working around Hide Backend.
	Bug Fix: Warnings are no longer generated when saving a user profile with a role of "No role for this site" selected.
6.5.0 - 2017-08-23 - Chris Jean & Timothy Jacobs
	Enhancement: Simplified the SSL module to offer a simple Enable/Disable setting and simplified explanations. The legacy settings are available by selecting Advanced.
	Enhancement: Added the itsec-get-ip filter to allow code to supply the remote IP directly.
	Enhancement: Enabling SSL support will only log you out if you are not already on an https connection.
	Enhancement: Improve password requirements compatibility with plugins and systems that integrate with WordPress Users.
	Removed Old Feature: Removed the "Replace jQuery With a Safe Version" feature as its use (protecting against a specific jQuery bug: https://bugs.jquery.com/ticket/9521) is many years old and is no longer a concern.
	Bug Fix: Bumped version number of some scripts to ensure that they refresh properly.
	Bug Fix: Fixed way to work around Hide Backend on some hosts.
6.5.1 - 2017-08-23 - Chris Jean & Timothy Jacobs
	Bug Fix: Fixed logical error that prevented backups from executing.
	Bug Fix: Fixed issue that could cause database locks to flood the database.
6.6.0 - 2017-09-06 - Chris Jean & Timothy Jacobs
	New Feature: Added a new setting in WordPress Tweaks: "Login with Email Address or Username".
	Enhancement: Host email images from the plugin instead of relying on iThemes servers to help email clients marking messages as spam or blocking images.
	Bug Fix: Error when searching for modules preventing modules from appearing.
	Bug Fix: Use the wp_options table when acquiring locks in Multisite.
	Bug Fix: Prevent duplicate daily digest emails on sites with high load.
	Misc: Added Magic Links, a new Pro-only feature, to be activated by Security Check.
	Misc: Rearranged modules to be listed alphabetically.
6.6.1 - 2017-09-21 - Chris Jean & Timothy Jacobs
	Bug Fix: Fixed SQL query bug that resulted in the "Minutes to Remember Bad Login (check period)" setting being ignored.
	Bug Fix: Fixed bug that prevents wp-admin/install.php blocking from working properly on nginx servers.
	Bug Fix: Don't attempt to do an SSL redirect when WP CLI is running.
6.7.0 - 2017-11-07 - Chris Jean & Timothy Jacobs
	New Feature: Introduces the Notification Center, a centralized place to manage and customize email notifications sent by iThemes Security.
	Enhancement: Updated queries and prepare statements to account for changes to the esc_sql() function in WordPress 4.8.3.
	Bug Fix: Corrected some Javascript and CSS links not generating correctly on Windows servers.
6.8.0 - 2018-01-10 - Chris Jean & Timothy Jacobs
	New Feature: Introduces a scheduling framework for handling events. Cron is now used by default, and will switch to using an alternate scheduling system if it detects an error. To disable this detection set ITSEC_DISABLE_CRON_TEST in your wp-config.php file.
	Important: The ITSEC_FILE_CHECK_CRON and ITSEC_BACKUP_CRON constants have been deprecated. Use ITSEC_USE_CRON instead.
	Enhancement: Preserve notification settings when the responsible module is deactivated.
	Bug Fix: Process 404 lockouts on the 'wp' hook to prevent a headers have already been sent warning message.
	Bug Fix: Ensure Hide Backend emails are properly sent when activating Hide Backend before saving the Notification Center for the first time.
	Bug Fix: Prevent warning from being issued on new installs by allowing previous settings to be preserved if they exist.
	Bug Fix: Better handle WP_Error objects in mail errors that occurred before updating to first patch release.
	Bug Fix: A non static method was being called statically.
	Bug Fix: Fix occasional duplicate backups and file scans.
	Bug Fix: Fixed issue where scheduled events could repeat on sites that do not properly support WordPress's cron system.
	Bug Fix: Reactivating Away Mode now replaces the active file if you had previously removed it.
	Bug Fix: Ensure lockouts take effect immediately, even on systems where changes to server configuration files do not take effect immediately.
6.8.1 - 2017-01-29 - Chris Jean & Timothy Jacobs
	Enhancement: Display user lockouts in Lockout Sidebar.
	Bug Fix: Load translations on the plugins_loaded hook.
	Bug Fix: Fixed method that could be used to discover hidden login slug on some sites.
	Bug Fix: Fixed issue that could prevent Sync from loading Malware Scan results if a scan previously failed.
	Bug Fix: Update to the REST API "Restricted Access" feature to protect against methods to work around the restricted access.
	Bug Fix: Prevent login page being hidden when following the "Confirm Email Address" notification URL.
	Bug Fix: Hide Backend notifications not being properly sent when first enabled.
6.9.0 - 2018-02-12 - Chris Jean & Timothy Jacobs
	Enhancement: Updated logging system to keep track of more information and have more options to filter and sort log entries.
	Enhancement: Improved efficiency of File Change Detection scanning.
	Bug Fix: Fixed issue that could register loading the logging page as a failed login attempt on some sites.
6.9.1 - 2018-03-01 - Chris Jean & Timothy Jacobs
	Security Fix: Fixed display of unescaped data on logs page.
	Enhancement: The logging system now differentiates between WP-CLI commands, WP-Cron scheduled events, and normal page requests.
	Bug Fix: Fixed the File Change scanner in that it previously could fail to exclude selected directories on some systems.
6.9.2 - 2018-03-08 - Chris Jean & Timothy Jacobs
	Bug Fix: Fixed situation that could cause lockout notifications being sent for whitelisted IPs.
	Bug Fix: Fixed issue where saving Global Settings would be blocked by an unwritable "Path to Log Files" path when the "Log Type" is set to "Database Only".
	Bug Fix: Fixed issue that prevented log database entries from purging and log file entries from rotating on a schedule.
7.0.0 - 2018-05-24 - Chris Jean & Timothy Jacobs
	New Feature: Added support for the new WordPress privacy features.
	Enhancement: Added minimal API for adding additional entries to the Security admin menu.
	Enhancement: File Change Scan uses a new batching mechanism to prevent crashing on hosts but still generating only one report per-day.
	Enhancement: Introduce Distributed Storage framework for reducing the amount of data stored in the WordPress options table. This should improve performance for large sites using File Change.
	Enhancement: Introduced Login Interstitial framework to consolidate code between Password Requirements & Two Factor.
	Bug Fix: Added ability to show object data for classes that are not loaded to the Logs page.
	Bug Fix: Changed the rules generated by the Filter Suspicious Query Strings feature in order to avoid blocking privacy export/erasure request confirmations.
	Bug Fix: Ensure all users with the `manage_options` capability are available when selecting contacts in the Notification Center.
	Bug Fix: Fix clearing or previous file scans results.
	Bug Fix: Fix warnings on debug file change log items.
	Bug Fix: Fixed logging system references to "fatal-error" that should be "fatal".
	Bug Fix: Improve File Change recovery system on high-traffic websites.
	Bug Fix: Improve clearing of previous File Change file hashes.
	Bug Fix: Improved detection of REST API requests on sites without a home dir.
	Bug Fix: Internal links to a filtered logs page.
	Bug Fix: Prevent PHP warning about converting an array to a string when adding notification data.
	Bug Fix: Prevent PHP warning when completing database backups that are not emailed to any recipients.
	Bug Fix: Properly enforce strong passwords when on the WP Login Reset Password page.
	Bug Fix: Resolve warnings when upgrading file change settings.
	Minor: File Scan "chunk" option is removed.
	Minor: Make recovering file scan log smaller.
	Minor: Page Load Scheduler: Unschedule single events before running them. This mirrors the behavior of the WP Cron scheduler.
	Minor: Security Digest now includes all lockouts that have occurred since the last email.
	Minor: Shrink storage size of file scans.
	Minor: Specifying a manual file scan list has been removed.
	Minor: Track raw memory used by the file change scanner as well.
	Minor: Updated list of File Change excluded file types to include more media extensions.
	Misc: Added comment to prevent Tide from marking the plugin as not compatible with PHP 5.3.
	Tweak: Add description for File Change recovery related logs.
	Tweak: Don't report removed files if the removal is caused by a new file extension being excluded.
	Tweak: File Change: Move "latest_changes" entry to a separate storage bucket to improve performance on large sites.
	Tweak: File Change: Only scan a maximum of 10 plugins in a single chunk.
7.0.1 - 2018-05-25 - Chris Jean & Timothy Jacobs
	Bug Fix: Fixed an "Uncaught Error: Call to undefined function esc_like()" error that could occur when exporting or erasing personal data.
	Bug Fix: Skip recovery if File Change storage is empty.
7.0.2 - 2018-06-14 - Chris Jean & Timothy Jacobs
	Enhancement: Add UI to cancel in progress File Scan.
	Enhancement: Add basic admin debug page to help diagnosing and resolving issues. Particularly with the events.
	Enhancement: Add debug settings JSON editor.
	Enhancement: Continually evaluate password strength for users instead of only during registration.
	Enhancement: Introduce Password Requirements module for managing and enforcing password requirements.
	Bug Fix: Accessing password requirement settings would not resolve properly in some instances.
	Bug Fix: Away Mode would not lock out users who were already logged-in during the "away" period.
	Bug Fix: Enforce the Strong Passwords requirement during Security Check.
	Bug Fix: Ensure scheduling lock is cleared by the Cron Scheduler when not proceeding with running events.
	Bug Fix: If a password requirement has been disabled or is no longer available, don't consider the password as needing a change.
	Bug Fix: Only hide "Acknowledge Weak Password" checkbox if the user was not allowed to use a weak password.
	Bug Fix: Password strength would not be evaluated if password was set using custom PHP or CLI commands.
	Bug Fix: Prevent File Change from getting stuck in an infinite rescheduling loop on the first step.
	Bug Fix: Remove distributed storage table on uninstall.
	Tweak: Don't write to the tracked files setting if the file hash has not changed.
	Tweak: If no last password change date is recorded for the user, treat their registration date as the last change date.
7.0.3 - 2018-06-18 - Chris Jean & Timothy Jacobs
	Security Fix: Fixed SQL injection vulnerability in the logs page. Note: Admin privileges are required to exploit this vulnerability. Thanks to Çlirim Emini, Penetration Tester at sentry.co.com, for reporting this vulnerability.
	Bug Fix: Provide default values for enabled requirements.
7.0.4 - 2018-06-27 - Chris Jean & Timothy Jacobs
	Enhancement: Add mitigation for the WordPress Attachment File Traversal and Deletion vulnerability.
	Tweak: Fire a WordPress action whenever settings are updated.
	Bug Fix: Improved input sanitization on the logs page to prevent triggering warnings.
7.1.0 - 2018-08-15 - Chris Jean & Timothy Jacobs
	New Feature: Allow for globally setting recipients for admin-targeted notifications. All new notifications will default to the recipients in this list. Notifications can be set to use the default list or switch to a custom list.
	Enhancement: Added a setting to enable/disable the Grade Report feature of Pro.
	Tweak: Check if an IP is blacklisted on page load for compatibility with servers that cannot process server configuration level bans immediately.
	Tweak: Display a time diff until the next event on the Debug page.
	Tweak: Use Logging API for tracking Notification Center errors.
	Tweak: Register Scheduler Events whenever the plugin build changes.
	Tweak: Allow for filtering logs by any module recorded.
	Tweak: Account for 3rd-party Backup Plugin in Security Check.
	Bug Fix: 404 detection for plugins that mark is_404 later in the hook sequence.
	Bug Fix: REST API Protection blocked the Taxonomies route for all users.
	Bug Fix: Account for any CLI PHP SAPI instead of just WP-CLI in the SSL Module.
	Bug Fix: Fixed how the Grade Report enable/disable status is stored to fix admin page loading issues on some sites.
	Bug Fix: Fix serialization of closure error when a plugin registering a hook with a closure is in the boot-up stack and the notification center is triggered too early in the cycle.
7.2.0 - 2018-10-10 - Chris Jean & Timothy Jacobs
	Enhancement: Allow for selecting the particular Proxy header a server is configured to use. Improve the language to indicate the importance of configuring this setting. H/t Filippo Cavallarin CEO at wearesegment.com
	Enhancement: Block access to git and svn repositories when System Tweaks -> Protect System Files is enabled.
	Tweak: Update jQuery Validation library to 1.17.0
	Bug Fix: Improve detection of blocking the File Change Scan from being scheduled if one is already being run.
	Bug Fix: Prevent infinite recursion error when trying to access directories outside of the allowed file tree.
7.3.0 - 2019-02-14 - Chris Jean & Timothy Jacobs
	Enhancement: Add Per-Content SSL toggle to the upcoming Block Editor interface.
	Enhancement: Add filter to the recipients list for email notifications: "itsec_notification_{$notification}_email_recipients" and "itsec_notification_email_recipients".
	Enhancement: Add define "ITSEC_DISABLE_TEMP_WHITELIST" to disable the Temporary IP Whitelisting for logged-in administrators.
	Enhancement: Improve redirecting after processing a login interstitial from a front-end login form.
	Enhancement: Add loopback IP detection to Security Check.
	Enhancement: Detect Server IPs in Security Check.
	Tweak: Add additional safety checks when writing to system config files. This will log a "Critical Issue" when the writing of an empty or partial config file is detected and prevented.
	Tweak: Improve File Change locking to help prevent failing scans on sites with inconsistent cron scheduling.
	Tweak: Improve "System Tweaks – Suspicious Query Strings – SQLI" to reduce false positives.
	Tweak: Improve "System Tweaks – Disable PHP" to block PHP files in apache configurations that serve files with a trailing dot.
	Tweak: Remove "Seznam Bot" from HackRepair List as it isn't present in the latest version.
	Bug Fix: Include Hide Backend token when emailing a password reset URL.
	Bug Fix: Notification Center - Only send notifications to users with an exact role match of selected roles instead of a fuzzy match based on selected capabilities.
	Bug Fix: Error when trying to edit reusable blocks with per-post SSL enabled.
	Bug Fix: Resolve warnings on PHP 5.2.
7.3.1 - 2019-02-21 - Chris Jean & Timothy Jacobs
	Enhancement: When ITSEC_DISABLE_MODULES is set, prevent hide backend from running.
	Bug Fix: Tabnapping: Apply noopener to links instead of using blankshield script when available to prevent new pop-up blocker behavior from killing the links.
7.3.2 - 2019-03-19 - Chris Jean & Timothy Jacobs
	Tweak: Allow the log description column to word break for URLs or other strings with no spaces.
	Bug Fix: Hide Backend bypass on certain Apache configurations.
	Bug Fix: Properly return error that occurs during a backup.
	Bug Fix: Regex warning on PHP 7.3 in the File Change module.
	Bug Fix: Resolve warning when a user is set to "No Role".
7.3.3 - 2019-03-25 - Chris Jean & Timothy Jacobs
	Bug Fix: Hide backend bypass.
7.4.0 - 2019-06-10 - Chris Jean & Timothy Jacobs
	New: iThemes Security Admin Notices are now conveniently located in the new Security Messages Menu. Check your notices in the Security menu on the WordPress Admin Bar.
	Enhancement: Add Security Message when a Notification Center email fails to send.
	Enhancement: Replace Trace IP with IP Tracker Online.
	Tweak: Remove 'DELETE' method from "System Tweaks -> Filter Request Methods"
7.4.1 - 2019-08-15 - Chris Jean & Timothy Jacobs
	Enhancement: New iThemes Sync Verb support for File Change.
	Tweak: Add additional information about the login attempt when calling the Network Brute Force API.
	Bug Fix: Hide Backend Bypass.
	Bug Fix: Strict Standards error during Sync request.
	Bug Fix: wp_die() if a login interstitial session fails to be created instead of throwing a fatal error.
7.5.0 - 2019-11-13 - Timothy Jacobs
	Breaking Change: iThemes Security requires PHP 5.4 or later.
	Enhancement: New Lockout Template screen.
	Enhancement: Add confirmation button to Login Interstitial Async Actions when on a different device.
	Enhancement: Add filter to "Lookup IP" link.
	Developer Note: There were significant changes to the internals of the iThemes Security Lockout API in this release. If you are using the ITSEC_Lockout class directly, all the API functions will continue to work, but will emit deprecation notices when legacy behavior is being used. Please update any integrations.
	Bug Fix: Brute Force module reporting invalid logins using an email address incorrectly.
	Bug Fix: Improve lockout compatibility with caching plugins.
	Bug Fix: Fix admin notice not being dismissed due to a REST API route that was more narrowly defined than necessary.
	Bug Fix: Admin Notices list did not refresh after dismissing a notice.
	Bug Fix: Strong Passwords zxcvbn Library was not evaluating penalty strings correctly.
	Bug Fix: Fix PHP warning if there are multiple detected proxy headers.
7.6.0 - 2019-12-09 - Timothy Jacobs
	Breaking Change: iThemes Security requires PHP 5.5 or later.
	New Feature: iThemes Security now includes Security Check Pro to automatically and correctly determine your visitors IP addresses. Enable this scan by running Security Check and opting in to Security Check Pro or activate the Security Check Pro module in Advanced Modules. H/t Jeremy Voisin
	Enhancement: Run Security Check Pro IP Detection automatically once a day.
	Enhancement: Manually re-run Security Check Pro IP Detection from the Global Settings page.
7.7.0 - 2020-04-15 - Timothy Jacobs, Josh Oakes
	Important: iThemes Security requires PHP 5.6 or greater and WordPress 5.2 or greater.
	New Feature: Save Time Securing WordPress With User Groups!
	New Feature: Simplified connection flow when setting up iThemes Sync.
	Enhancement: Add a warning if a WordPress Salt is set to an invalid value.
	Enhancement: Include child log items in the logs list table. These are helpful for debugging issues.
	Enhancement: Improve performance of the logs page on sites with large number of log items.
	Enhancement: Check tables exist after completing a DB upgrade.
	Tweak: When logging $_SERVER, only log a snapshot of available properties.
	Bug Fix: The "Mulisite Tweaks -> Hide Updates" setting prevented auto-updates from running with WP Cron.
	Bug Fix: Backup event was not added when the WP Cron Scheduler was reset manually.
	Bug Fix: Admin Notices Popover was not being hidden when clicking outside the Popover on WP 5.3.
	Bug Fix: New Password Requirements for already created accounts were not enforced until the second login.
	Bug Fix: Update admin notices styling to be compatible with WordPress 5.4.
	Bug Fix: Periodically clear expired opaque tokens.
	Bug Fix: Don't block registration page when "wp-signup.php" is the Hide Backend register slug.
	Bug Fix: Users with weak passwords would not be forced to change their password if the strong password requirement had been enabled after their password strength was checked.
	Bug Fix: Remove "get_magic_quotes()" call that existed for backwards compatibility with PHP versions 5.3 and earlier. This function call was causing a warning on PHP 7.4.
	Bug Fix: Warning when loading the settings page on PHP 7.4.
	Bug Fix: Warning when loading the debug page on PHP 7.4.
7.7.1 - 2020-04-20 - Timothy Jacobs
	Bug Fix: PHP warning when evaluating password requirements.
7.8.0 - 2020-08-13 - Timothy Jacobs
	New Feature: The new, improved WordPress Security Site Scan powered by iThemes checks if Google has detected malware and added your site to their threat list.
	Enhancement: Remove quick bans. Persist banned hosts to .htaccess or nginx.conf on an hourly schedule.
	Tweak: Cap banned hosts persisted to .htaccess or nginx.conf to the most recent 100. This number can be adjusted with the "itsec_ban_users_max_hosts_for_server_config" filter. Older banned hosts will be locked out after WordPress loads.
	Tweak: Ensure randomly generated passwords are considered strong by the Strong Passwords library.
	Tweak: Suggest a 32 character password when forcing a password change.
	Tweak: Change insensitive language to be more inclusive.
	Bug Fix: PHP warning when a user's email address is updated outside of the user edit admin page.
	Bug Fix: Fix login interstitials on WP Engine when using a front-end login form.
	Bug Fix: PHP warning when checking opaque tokens.
	Bug Fix: PHP warning after successfully connecting a site to iThemes Sync via the login connection flow.
	Bug Fix: File Change Security Message would not appear for new installs.
7.9.0 - 2020-10-13 - Timothy Jacobs
	Important: iThemes Security requires WordPress 5.4 or later.
	Enhancement: Add a setting for configuring the number of bans added to the server config files (.htaccess/nginx.conf).
	Enhancement: Store the time a ban was added, and the lockout module responsible for the ban.
	Enhancement: Overwrite Restrict Content Pro's detected IP address with the IP detected by iThemes Security.
	Tweak: Disable SSL verification when performing the Security Check Loopback test. Some hosts can't properly verify loopback requests. This verification is unnecessary in this circumstance, and disabling SSL verification aligns iThemes Security with default WordPress loopback behavior.
	Bug Fix: PHP warnings when invalid entries are stored in the WordPress Cron storage.
	Bug Fix: Update the list of tables added to wpdb.
	Bug Fix: Remove default value for text columns. This caused an issue on MySQL 8 and is unnecessary.
	Bug Fix: Missing borders in the sidebar widgets on WordPress 5.5.
	Bug Fix: Notice actions didn't trigger when "Hide Admin Bar" is enabled.
	Bug Fix: Some users would be force to choose a strong password twice in a row.
	Bug Fix: Warning when saving the Ban Users module outside of the Settings Page without passing the legacy host_list setting.
	Bug Fix: Passwords Requirements compatibility with Restrict Content Pro.
	Bug Fix: PHP warnings that may occur when initializing default user groups on a new installation.
7.9.1 - 2021-04-14 - Timothy Jacobs
	Security: Fix Hide Backend Bypass, thanks to Julio Potier for reporting the issue.
	Tweak: Add filters to short-circuit lock APIs.
	Tweak: Remove non-SSL fallbacks for Security Check Pro and Version Management.
	Bug Fix: Tweak checkbox styles.
	Bug Fix: Improved compatibility with WP Engine.
	Bug Fix: Pass the `WP_Error` object to the `wp_login_failed` hook.
	Bug Fix: Prevent wp_no_robots deprecation warning on WordPress 5.7.
8.0.0 - 2021-07-28 - Timothy Jacobs
	Important: iThemes Security now requires WordPress 5.7 and PHP 7.0 or later.
	New: iThemes Security gets a redesigned interface focused on making it easier to configure and find what you're looking for. Read More: https://ithemes.com/?p=65086.
	New: Instantly search over everything in iThemes Security with a new instant search feature.
	New: Security Tools have been grouped into their own page. "Identify Server IPs" and "Security Check Pro" can be run manually without using Debug Mode.
	New: Relevant content from the Help Center, iThemes Blog, and iThemes YouTube channel is surfaced in a new Help area based on the current page. Click the "Help" button in the toolbar or the "Info" icon next to the page title to access it.
	New: The settings UI is now fully responsive and works great across mobile, tablet, and desktop devices.
	New: Two-Factor is now part of the core iThemes Security plugin.
	Enhancement: Improved keyboard and screen reader support.
	Enhancement: The Banned Users Card can add multiple bans at once.
	Tweak: Add a new Global setting to control "Automatically Temporarily Authorize Hosts".
	Tweak: When the Global setting "Hide Security Menu in Admin Bar" is enabled, notices will no longer be printed on non-iThemes Security pages. Instead, you can access the Message Center from the Settings or Dashbaord toolbars.
	Tweak: The Database Backups module is no longer available if you have BackupBuddy installed. If this behavior isn't desired, enable the "ITSEC_ENABLE_BACKUPS" constant.
	Tweak: The Geolocation API configuration used by Trusted Devices has been moved into it's own dedicated "Geolocation" module.
	Tweak: Move "Have I Been Pwned" integration to the Core plugin.
	Tweak: Reduce filename length and complexity for built CSS and JS files.
	Removed: The following modules have been removed: 404 Detection, Away Mode, Change Content Directory, and Multisite Tweaks.
	Removed: The following WordPress and System Tweaks have been removed: Remove Windows Live Writer Header, EditURI Header, Comment Spam, Mitigate Attachment File Traversal Attack, Protect Against Tabnapping, Filter Long URL Strings, Filter Non-English Characters, Filter Request Methods, Remove File Writing Permissions.
	Removed: The "Backup Full Database" setting has been removed from the Backups module.
	Removed: The "Require SSL", "Front End SSL Mode", and "SSL for Dashboard" settings have been removed from the SSL module.
	Bug Fix: Fix fatal errors when using PHP 8.
	Bug Fix: Fix infinite loop when restricting who can use App Passwords on multisite installs.
	Bug Fix: Ensure the ITSEC_Setup class does not exist before trying to load it. Display schema errors on multisite in the Network Admin.
	Bug Fix: Labels for Disable PHP Execution in Plugins and Themes were reversed.
	Bug Fix: Add missing constants to the debug page.
	Bug Fix: Remove deleted recipients when saving notifications.
	Bug Fix: Correct Site Scan statuses for scans with no issues.
	Dev Note: Modules are now based on a module.json configuration file. If you are registering custom iThemes Security module, you should update it to include a module.json file that adheres to the core/module-schema.json JSON Schema.
	Dev Note: The Network Brute Force module had it's folder updated to "network-brute-force" from "ipcheck".
	Dev Note: New Object Oriented API for creating Password Requirements.
	Dev Note: New Settings and Modules REST API endpoints.
	Dev Note: New RPC REST API namespace. There is no backward compatibility promise for these API endpoints.
8.0.1 - 2021-07-29 - Timothy Jacobs
	Bug Fix: Sites that did not support HTTPS, but had the SSL module active, but not configured, on upgrade would get redirected to the HTTPS version of the site.
	Bug Fix: Unregister the iThemes Security Two-Factor module when the Two-Factor Feature Plugin is enabled.
	Bug Fix: Allow activation on WordPress 5.7.0.
	Bug Fix: Add missing textdomains.
8.0.2 - 2021-08-11 - Timothy Jacobs
	Enhancement: Reintroduce Feature Flags management UI.
	Tweak: Reposition "Advanced" and "Tools" menu items to be more readable on lengthy screens.
	Bug Fix: When the Change Admin User tool is run, update any User Groups referencing the old user id.
	Bug Fix: WordPress footer would appear in the middle of the logs page.
	Bug Fix: Add missing translation strings file.
8.1.0 - 2022-03-22 - Timothy Jacobs
	Important: iThemes Security now requires WordPress 5.8 or later.
	New Feature: Include the full iThemes Security Site Scanner in iThemes Security Free. Scheduled scans are disabled by default.
	Tweak: Add new "Go Pro" page that includes an overview of features in iThemes Security Pro.
	Bug Fix: Scroll to top of window when navigating.
	Bug Fix: Allow searching for Password Requirements.
	Bug Fix: Don't load WordPress and System Tweaks modules when the `ITSEC_DISABLE_MODULES` constant is enabled.
	Bug Fix: Prevent incidentally loading the Two-Factor module when it is unregistered.
	Bug Fix: Conditionally display the NGINX File Path setting.
	Bug Fix: Allow saving Notifications when "default recipients must contain at least 1 item" error is present.
	Bug Fix: Help styling on WordPress 5.9.
	Bug Fix: Compatibility with plugins that expected a logged-in user during lockouts.
8.1.1 - 2022-04-14 - Timothy Jacobs, Lisa Canini
	Bug Fix: Error when visiting the Notifications page after activating a module with notifications for the first time.
	Bug Fix: Update deprecated withState usages to useState.
8.1.2 - 2022-04-26 - Timothy Jacobs, Lisa Canini
	Tweak: Require a Title when creating a new Dashboard.
	Bug Fix: Don't attempt to send a Site Scan notification for Clean scans preventing a fatal error after scheduled site scans.
8.1.3 - 2022-10-12 - Timothy Jacobs, Lisa Canini, Jared Hill
	Important: iThemes Security now requires PHP 7.3 and WordPress 5.9 or later.
	Security: Add support for encrypting Two-Factor Mobile App secrets. Enable via Tools -> Set Encryption Key.
	Security: Deprecate Automatic Proxy Detection. Instead, manually configure Proxy Detection or use Security Check. Fix IP spoofing attacks.
	Enhancement: Add "Ban Lockout" button to the Active Lockouts card.
	Bug Fix: File Logs not rotating.
	Bug Fix: PHP warning when loading Icon Fonts in certain configurations.
	Bug Fix: Don't attempt to Hide Backend when a Cron request is being processed.
	Bug Fix: Prevent entering invalid date values when selecting a custom date range in the Security Dashboard.
	Bug Fix: File Change "notify_admin" settings validation error.
	Bug Fix: Preliminary PHP 8.1 compatibility.

	Thanks to Calvin Alkan for reporting the security issues fixed in this release.
8.1.4 - 2022-12-01 - Timothy Jacobs, Lisa Canini, Jared Hill
	Tweak: Add "All" tab to the Features page.
	Tweak: Don't show "Ban" buttons in Security Dashboard if the user won't be able to create a ban.
	Bug Fix: Prevent Headers Already Sent warning when a lockout occurs during a WP Cron request on some server setups.
	Bug Fix: Manually load Sodium Polyfill for servers that have an older version of libsodium installed.
	Bug Fix: Error when saving the File Change settings when the "notify_admin" setting was set.
	Bug Fix: Prevent a redirect loop when logging in on sites that take more than 5 seconds to load the Dashboard.
8.1.5 - 2023-03-23 - Timothy Jacobs, Lisa Canini, Jared Hill
	Security Hardening: Prevent open redirects attacks against the Enforce SSL module. This attack requires spoofing the Host header which requires additional conditions to exploit. Thanks to nlpro for reporting the issue.
	Bug Fix: Update Password Strength library to the latest version. This fixes discrepancies between the realtime password strength estimation and the enforced password strength.
8.1.6 - 2023-04-20 - Timothy Jacobs, Lisa Canini, Jared Hill
	Bug Fix: Fallback to the homepage when Enforce SSL encounters a non-safelisted redirect destination.
	Bug Fix: IP Detection on sites behind Load Balancers that appended their IP address to X-Forwarded-For and did not provide a Real IP header.
8.1.7 - 2023-07-18 - Timothy Jacobs, Lisa Canini, Jared Hill
	Important: Enforce encryption for Two-Factor secrets.
	Tweak: Add Stellar and Solid banners.
	Bug Fix: Don't require "Write to Files" to be enabled to use the "Rotate Encryption Key" tool.
8.1.8 - 2023-08-31 - Timothy Jacobs, Lisa Canini, Jared Hill
	News: iThemes Security is becoming Solid Security soon. Learn More: https://go.solidwp.com/security-free-notice-ithemes-becoming-solidwp
9.0.0 - 2023-10-17 - Timothy Jacobs, Lisa Canini, Jared Hill, John Hooks
	New: iThemes Security is now Solid Security! Learn More: https://go.solidwp.com/security-welcome-to-solidwp
	Important: Solid Security now requires WordPress 6.2 or later.
	New: The Firewall screen brings together the Firewall functionality Solid Security provides into one easy to use screen. More Firewall features are coming soon!
	New: The Vulnerabilities screen identifies what vulnerable software you have on your site and guides you through next steps.
	New: Identify risks in your site's security with the the expanded Site Scan functionality.
	New: The User Security screen keeps you appraised of the security practices your site's users are following. Easily apply actions to multiple users in one-click like resetting passwords or logging out active sessions.
	Enhancement: The dashboard and settings screens have been redesigned to make it easier to find what you're looking for.
	Enhancement: The Security Summary dashboard card gives you a snapshot of the most important security issues affecting your site.
	Enhancement: Add support for loading Solid Security via an MU-Plugin for improved performance when blocking attackers.
	Tweak: Remove the IP Tracker Online link from the logs page.
	Bug Fix: PHP 8.2 compatibility.
	Bug Fix: Resolved PHP warnings when unexpected data is encountered during software updates.
9.0.1 - 2023-10-31 - Timothy Jacobs, Lisa Canini, Jared Hill, John Hooks
	Security: Don't disclose the login URL when using Hide Backend on a site with comments enabled and comment registration required. Thanks to Naveen Muthusamy for disclosing this issue.
	Hardening: Check for the promote_user capability when using Privilege Escalation in addition to edit_user.
	Tweak: Remove the iThemes Security is now Solid Security banner from admin-facing email notifications.config/
	Bug Fix: Prevent the User Security page from crashing when "Show Avatars" is disabled in the WordPress discussion settings.
	Bug Fix: Fix some filters on the User Security page not working as expected.
	Bug Fix: Fix spacing on the Two-Factor form when backup methods are enabled.
	Bug Fix: Fix fatal error when there is an error retrieving Patchstack license information.
	Bug Fix: Styling issues on WordPress 6.4.
9.0.2 - 2023-11-01 - Timothy Jacobs, Lisa Canini, Jared Hill, John Hooks
	Bug Fix: Adding missing dist files to SVN
9.0.3 - 2023-11-02 - Timothy Jacobs, Lisa Canini, Jared Hill, John Hooks
	Bug Fix: Remove an extra folder containing duplicate plugin files
9.1.0 - 2023-11-15 - Timothy Jacobs, Lisa Canini, Jared Hill
	New: Add support for creating custom firewall rules.
	Enhancement: Add support for configuring firewall settings from the Firewall page.
	Bug Fix: The firewall page would appear empty when geolocation could not retrieve a country code.
9.2.0 - 2023-12-07 - Timothy Jacobs, Lisa Canini, Jared Hill
	New: Refreshed UI for manging per-user security settings like Two-Factor. The previous Two-Factor UI can be enabled using the SOLID_SECURITY_LEGACY_2FA_UI constant.
	New: A new block "Solid Security User Security Settings" let's you display this UI on the front-end of your website. The [solid_security_user_profile_settings] shortcode can be used if you're not yet using the Block Editor.
	Important: Solid Security now requires WordPress 6.3 or later.
	Enhancement: Display a snackbar notice when sending a 2FA reminder from the Site Scan page.
	Enhancement: Include a link directly to the Patchstack database in the Site Scanner alert email.
	Tweak: Remove iThemes Security is now Solid Security banners from the admin.
	Bug Fix: Trying to enable Network Brute Force from the Security messages center linked to the wrong place.
	Bug Fix: During onboarding, a double scrollbar was displayed on some screen sizes.
9.3.0 - 2024-01-25 - Timothy Jacobs, Lisa Canini, Jared Hill
	New: The Firewall page has a new IP Management tab to provide easy access to blocking or authorizing IP addresses.
	New: Usage Data Sharing (opt-in only) allows users to share non-personal and non-sensitive information with StellarWP to inform decisions about how to improve Solid Security in the future.
	Enhancement: Add a snackbar notice when making changes on the Firewall Configure page.
	Tweak: Remove some straggling references and links to iThemes.
	Tweak: Consistently refer to 2FA as Two-Factor Authentication on the Profile page.
	Tweak: Allow performing more Site Scan actions when the issue is muted.
	Bug Fix: Truncate log item columns that are too long before inserting into the database.
	Bug Fix: Consistently order the Security Profile tabs.
	Bug Fix: Add missing text domain to new Solid Security Admin Menu items.
	Bug Fix: Reset filters on the Vulnerabilities page when starting a Site Scan.
	Bug Fix: PHP warning on the logs page when the File Change module logs unexpected data.
9.3.1 - 2024-02-07 - Timothy Jacobs, Lisa Canini, Jared Hill
	Tweak: Add a notice when a user's role is demoted from the Site Scans page.
	Tweak: Update Privacy Policy generator text.
	Bug Fix: Could not proceed through onboarding when BuddyPress or BuddyBoss was active.
	Bug Fix: Some firewall rules could not be deactivated.
	Bug Fix: Allow opting in to Telemetry via the Settings Page.
	Bug Fix: PHP 8.2 deprecation warnings.
9.3.2 - 2024-03-22 - Timothy Jacobs, Lisa Canini, Jared Hill
	Important: "Automatic (Insecure)" IP detection has been removed. Read more: https://go.solidwp.com/firewall-features-not-available
	Enhancement: Allow generating a new Two-Factor TOTP secret from the WP-Login UI.
	Bug Fix: The SolidWP logo appeared too large in some email clients.
	Bug Fix: An error would occur if we could not determine the length of database columns while saving log items.
9.3.3 - 2024-06-19 - Timothy Jacobs, Lisa Canini, Jared Hill
	Enhancement: Improve highlighting settings search results.
	Bug Fix: Crash during the onboarding process when starting over in some paths.
	Bug Fix: Checkbox styling issue on WordPress 6.6.
	Bug Fix: Fire an action when a vulnerability is unresolved due to plugin activation.
9.3.4 - 2024-11-11 - Timothy Jacobs
	Important: Solid Security now requires WordPress 6.5 or later.
	Tweak: Add a new `solid_security_mail_site_logo` filter to modify the Site Logo used in email notifications.
	Bug Fix: PHP fatal error on shutdown due to missing Event class on some sites.
	Bug Fix: PHP warning on Site Health page.
	Bug Fix: PHP warning in the SSL module on some server setups.
9.3.5 - 2024-11-19 - Timothy Jacobs
	Bug Fix: PHP warning about translations being loaded too early.
9.3.6 - 2024-12-04 - Timothy Jacobs
	Enhancement: Better surface Login Security features during onboarding.
9.3.7 - 2025-03-24 - Timothy Jacobs, Zach Tirrell
	Enhancement: Use block API Version 3 for the Security Profile block.
	Bug Fix: PHP warning when HTTP_HOST not set.
9.3.8 - 2025-04-28 - Timothy Jacobs
	Tweak: Delete older JS files that were causing false-positives on scans. They have not been used since the UI was rewritten in React.
	Security: Update StellarWP Telemetry library to improve authorization checks.
9.3.9 - 2025-07-08 - Timothy Jacobs
	Tweak: Reduce number of steps in the onboarding sequence.
	Bug Fix: Notification Center settings could not be properly saved.
9.3.10 - 2025-07-16 - Timothy Jacobs
	Tweak: Update SolidWP Logo.
9.4.0 - 2025-09-15 - Volodymyr Shelmuk
	Learn more: https://solidwp.com/?p=110379
	Important: Solid Security now requires PHP 7.4 or later.
	New: Patchstack Priority tells you how quickly you should address a vulnerability so you can focus on the most critical issues.
	New: The Security Digest email includes a complete list of vulnerabilities affecting your site.
	Enhancement: The Site Scan email now only includes newly found vulnerabilities to prevent notification fatigue.
	Enhancement: Site Scans now run four times daily to detect new vulnerabilities.
	Tweak: Make frontend JS code compatible with React 18.
9.4.1 - 2025-09-15 - Volodymyr Shelmuk
	Bug Fix: Missing assets in release 9.4.0.
9.4.2 - 2025-10-28 - Volodymyr Shelmuk
	Bug Fix: PHP notice about early translations loading on the settings screen.
9.4.3 - 2025-11-18 - Volodymyr Shelmuk
	Enhancement: Send notification about new vulnerabilities found during manual scan.
	Tweak: Show mitigated vulnerabilities and ensure all unresolved vulnerabilities are visible on the Site Scan page.
9.4.4 - 2026-01-29 - Justin Frydman, Volodymyr Shelmuk
	Tweak: The Solid Security Basic and Solid Security Pro plugins can no longer be active at the same time.
	Tweak: Config files now show "Solid Security" instead of "iThemes Security".
	Tweak: Improved Database Backups dashboard widget when the feature is disabled.
	Tweak: Clarify the 2FA onboarding email confirmation message.
	Tweak: All Gutenberg blocks use API version 3.
	Security: Update the "tmp" npm package.
	Bug Fix: Vulnerable Software dashboard card didn't render properly.
	Bug Fix: Firewall rules that depend on HTTP headers didn't work correctly in all cases.
	Bug Fix: PHP Warning: Undefined array key 1 core/admin-pages/logs-list-table.php.
	Bug Fix: Logs will appear in the correct order regardless of database version.
	Bug Fix: PHP Warning: Array offset on value of type null core/modules/security-check-pro/class-itsec-security-check-pro.php.
9.4.5 - 2026-02-11 - Volodymyr Shelmuk
	Tweak: Ensure generated Nginx config rules are valid for customized directory structures.
9.4.6 - 2026-02-25 - Volodymyr Shelmuk
	Enhancement: Update Patchstack details for existing vulnerabilities.
9.4.7 - 2026-03-30 - Rahula Palu
	Bug Fix: Prevent email retry loops by ensuring the scheduled notification properties are saved.
10.0.0 - 2026-05-11 - Nexcess
	Tweak: Updated branding from SolidWP to Kadence.
	New: QR code for 2FA is generated locally by default (the GD PHP extension is required), with a Kadence Security-hosted solution as a fallback.
10.0.1 - 2026-05-12 - Nexcess
    Bug Fix: Race condition in file write could empty wp-config.php/.htaccess files.
